-- CLP for testing update UDFs 
--   Usage: db2 -tf update.clp > update.out

connect to mydb;

echo ------- Simple update XMLVarchar '/book/price' --> '60.02' -------;
values cast(db2xml.update(db2xml.XMLVarcharFromFile('/usr/IBMdb2xml/V7.1/samples/xml/book.xml'), '/book/price', '60.02') as varchar(500));

echo ------- Large update XMLVarchar '//chapter[@id="2"]/@id' --> '888...' -------;
values cast(db2xml.update(db2xml.XMLVarcharFromFile('/usr/IBMdb2xml/V7.1/samples/xml/book.xml'), '//chapter[@id="2"]/@id', '8888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888') as varchar(600));

echo ------- Simple update XMLClob '/book/price' --> '60.02' -------;
values cast(cast(db2xml.update(db2xml.XMLClobFromFile('/usr/IBMdb2xml/V7.1/samples/xml/book.xml'), '/book/price', '60.02') as clob(1k)) as varchar(500));

echo ------- Large update XMLClob '//chapter[@id="2"]/@id' --> '888...' -------;
values cast(cast(db2xml.update(db2xml.XMLClobFromFile('/usr/IBMdb2xml/V7.1/samples/xml/book.xml'), '//chapter[@id="2"]/@id', '8888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888888') as clob(1k)) as varchar(600));

connect reset;
terminate;
