#************************************************************************************
#* Licensed Materials - Property of IBM
#*
#* (C) COPYRIGHT International Business Machines Corp. 2001 - 2002.
#* All Rights Reserved.
#*
#* US Government Users Restricted Rights - Use, duplication or
#* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#************************************************************************************
#* SOURCE FILE NAME: JDBCGenXMLC.cmd
#*
#* SAMPLE: Testing calling dxxGenXMLClob stored procedure from JDBC
#*         
#*          Notice:
#*            1. make sure that database sample is created via db2sampl 
#*            2. make sure that sample database is binded with XML Extender and CLI 
#*            3. see GenerateC.java for the way to call dxxGenXMLClob() from JDBC
#*            4. enter:
#*               "javac GenerateC.java" to generate GenerateC.class
#* 
#*************************************************************************************

dxxadm enable_db sample

db2 "echo -------- Calling the SQL-to-XML mapping stored procedure --------"
java GenerateC sample /usr/IBMdb2xml/V7.1/samples/dad/department.dad

dxxadm disable_db sample

db2 "terminate"
